FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get billing transactions

Returns billing transactions for all accounts authorised by the end user

AI Actions
GET
/v1/energy/billing

Returns billing transactions for all accounts authorised by the end user

Query Parameters

end_user_idstringrequired

A unique identifier for the End User to fetch billing transactions for.

account_idstring

The account_id from the Accounts API to fetch billing transactions for.

invoice_numberstring

The invoice_number from the invoices API to fetch billing transactions for.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/energy/billing?end_user_id=string"
{
  "billing": [
    {
      "account_id": "A123",
      "arrangement_id": "arr678",
      "demand": {
        "adjustments": [
          {
            "amount": "-5.00",
            "description": "Discount"
          }
        ],
        "amount": "100.00",
        "calculation_factors": [
          {
            "type": "DLF",
            "value": 1.15
          }
        ],
        "description": "Energy usage",
        "end_date": "2023-09-19T12:34:56Z",
        "invoice_number": "INV123456",
        "is_estimate": false,
        "measure_unit": "KVA",
        "rate": 0.95,
        "service_point_id": "SP123",
        "start_date": "2023-09-18T12:34:56Z",
        "time_of_use_type": "PEAK"
      },
      "execution_date_time": "2023-09-18T12:34:56Z",
      "fiskil_id": "energy_billing_abcdef123",
      "gst": "10.00",
      "institution_id": "150",
      "once_off": {
        "amount": "50.00",
        "description": "Connection fee",
        "invoice_number": "INV123456",
        "service_point_id": "SP123"
      },
      "other_charges": {
        "adjustments": [
          {
            "amount": "-5.00",
            "description": "Discount"
          }
        ],
        "amount": "20.00",
        "calculation_factors": [
          {
            "type": "DLF",
            "value": 1.15
          }
        ],
        "description": "Green power charges",
        "end_date": "2023-09-30",
        "invoice_number": "INV123456",
        "service_point_id": "SP123",
        "start_date": "2023-09-01",
        "type": "ENVIRONMENTAL"
      },
      "payment": {
        "amount": "300.00",
        "method": "DIRECT_DEBIT"
      },
      "transaction_u_type": "demand",
      "usage": {
        "adjustments": [
          {
            "amount": "-5.00",
            "description": "Discount"
          }
        ],
        "amount": "200.00",
        "calculation_factors": [
          {
            "type": "DLF",
            "value": 1.15
          }
        ],
        "description": "Usage fee",
        "end_date": "2023-09-19T12:34:56Z",
        "invoice_number": "INV123456",
        "is_estimate": false,
        "measure_unit": "KWH",
        "service_point_id": "SP123",
        "start_date": "2023-06-20T12:34:56Z",
        "time_of_use_type": "PEAK",
        "usage": 150
      }
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

List energy account balancesList concessions